package com.example.db_sync;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.widget.Toast;

import com.loopj.android.http.AsyncHttpClient;
import com.loopj.android.http.AsyncHttpResponseHandler;
import com.loopj.android.http.RequestParams;

import org.json.JSONArray;
import org.json.JSONException;

public class MyReceiver extends BroadcastReceiver {
    public MyReceiver() {
    }

    @Override
    public void onReceive(final Context context, Intent intent) {
        // TODO: This method is called when the BroadcastReceiver is receiving
        // an Intent broadcast.
        //throw new UnsupportedOperationException("Not yet implemented");

        // AsycHttpClient objekt
        AsyncHttpClient client = new AsyncHttpClient();
        // HttpRequestParams objekt
        RequestParams params = new RequestParams();

        // HTTP spustenie skriptu getunsyncedrows.php
        client.post("http://www.softengine.sk/android/getunsyncedrows.php", params, new AsyncHttpResponseHandler() {
            @Override
            public void onSuccess(String ret) {
                try {
                    // naplnenie JSON pola udajmi vratenymi zo servera
                    JSONArray arr = new JSONArray(ret);
                    // ak sa v JSON poli nachadzaju udaje
                    if (arr.length() != 0) {
                        // intent objekt pre spustenie sluzby MyService
                        final Intent i = new Intent(context, MyService.class);
                        // pocet nezosynchronizovanych riadkov
                        if (arr.length()<2) {
                            i.putExtra("idata", arr.length()+" zmenený riadok");
                        }
                        else if (arr.length()<5) {
                                i.putExtra("idata", arr.length()+" zmenené riadky");
                             }
                             else {
                                i.putExtra("idata", arr.length()+" zmenených riadkov");
                             }
                        // start MyService
                        context.startService(i);
                    }
                    //else {
                        //Toast.makeText(context, "Synchronizácia nie je potrebná", Toast.LENGTH_SHORT).show();
                    //}
                } catch (JSONException e) {
                    // TODO Auto-generated catch block
                    e.printStackTrace();
                }
            }

            @Override
            public void onFailure(int statusCode, Throwable error, String content) {
                if (statusCode == 404) { Toast.makeText(context, "URI nenajdene!", Toast.LENGTH_SHORT).show(); }
                else if (statusCode == 500) { Toast.makeText(context, "Chyba na strane servera!", Toast.LENGTH_SHORT).show(); }
                else { Toast.makeText(context, "Chyba pri vykonani skriptu!", Toast.LENGTH_SHORT).show(); }
            }
        });
    }
}