package com.example.db_sync;

import android.content.Intent;
import android.os.Bundle;
import android.support.v4.app.FragmentActivity;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;

public class ChangeListItem extends FragmentActivity {
    private TextView m_id; // id
    private EditText m_data; // data

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_changelistitem);

        // spristupnenie UI widgetov definovanych v XML layoute activity_changelistitem.xml
        m_id = (TextView) findViewById(R.id.id);
        m_data = (EditText) findViewById(R.id.data);
        Button m_tlacidlo = (Button) findViewById(R.id.tlacidlo);

        Bundle extras = getIntent().getExtras();
        if (extras != null) {
            m_id.setText(extras.getString("id"));
            m_data.setText(extras.getString("data"));
        }
        else {
            m_id.setText("");
            m_data.setText("");
        }

        // reakcia tlacidla na kliknutie prstom
        m_tlacidlo.setOnClickListener(new View.OnClickListener() {
            public void onClick(View view) {
                // vysledok ChaneListItem aktivity
                Intent returnIntent = new Intent();
                returnIntent.putExtra("result_id", m_id.getText().toString());
                returnIntent.putExtra("result_data", m_data.getText().toString());
                setResult(RESULT_OK, returnIntent);
                finish();
            }
        });
    }
}