package com.example.db_sync;

import android.app.NotificationManager;
import android.app.PendingIntent;
import android.app.Service;
import android.content.Context;
import android.content.Intent;
import android.os.IBinder;
import android.support.v4.app.NotificationCompat;

public class MyService extends Service {
    public MyService() {
    }

    @Override
    public IBinder onBind(Intent intent) {
        // TODO: Return the communication channel to the service.
        throw new UnsupportedOperationException("Not yet implemented");
    }

    @Override
    public void onCreate() {
        //Toast.makeText(this, "Služba bola vytvorená", Toast.LENGTH_LONG).show();
    }

    @Override
    public int onStartCommand(Intent intent, int flags, int startId) {
        //Toast.makeText(this, "Služba bola spustená", Toast.LENGTH_LONG).show();

        // intent objekt pre spustenie aktivity MainActivity
        Intent resultIntent = new Intent(this, MainActivity.class);
        // PendingIntent objekt
        PendingIntent resultPendingIntent = PendingIntent.getActivity(this, 0,
                resultIntent, PendingIntent.FLAG_UPDATE_CURRENT);

        // oznamenie o existencii nezosynchronizovanych riadkov v MySQL dB
        int notifyID = 9001;
        NotificationCompat.Builder mNotifyBuilder;
        NotificationManager mNotificationManager;
        mNotificationManager = (NotificationManager) getSystemService(Context.NOTIFICATION_SERVICE);
        mNotifyBuilder = new NotificationCompat.Builder(this)
                .setContentTitle("Oznam")
                .setSmallIcon(R.mipmap.ic_launcher);
        mNotifyBuilder.setContentIntent(resultPendingIntent);
        int defaults = 0;
        mNotifyBuilder.setDefaults(defaults);
        mNotifyBuilder.setContentText(intent.getStringExtra("idata"));
        mNotifyBuilder.setAutoCancel(true);
        mNotificationManager.notify(notifyID, mNotifyBuilder.build());

        return START_NOT_STICKY;
    }

    @Override
    public void onDestroy() {
        //Toast.makeText(this, "Služba bola zrušená", Toast.LENGTH_LONG).show();
    }
}
