package com.example.db_sync.database;

import android.content.Context;
import android.database.sqlite.SQLiteDatabase;
import android.database.sqlite.SQLiteOpenHelper;

// trieda pre pracu s dB
public class dB_helper extends SQLiteOpenHelper {
    // private - iba v ramci triedy
    // static - existuje uz pred vytvorenim objektu, tzn. mozno volat priamo dB_helper.DATABASE_NAME
    // final - hodnotu nemozno menit = konstanta
    // nazov databazy
    private static final String DATABASE_NAME = "db_sync.db";
    // verzia databazy
    private static final int DATABASE_VERSION = 1;

    // konstruktor pre pristup k dB (nie pre jej vytvorenie)
    // dB je vytvorena/otvorena az pri prvom volani getWritableDatabase/getReadableDatabase
    public dB_helper(Context _context) {
        super(_context, DATABASE_NAME, null, DATABASE_VERSION);
    }

    // vykona sa pocas vytvarania dB
    @Override
    public void onCreate(SQLiteDatabase _db) {
        tbl_udaje.onCreate(_db);
    }

    // vykona sa pocas upgradu dB
    @Override
    public void onUpgrade(SQLiteDatabase _db, int _oldVersion, int _newVersion) {
        tbl_udaje.onUpgrade(_db, _oldVersion, _newVersion);
    }
}